> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update scenario

> PUT /project/{projectId}/scenario/{scenarioId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))



### Body: application/json (object)

- **scheduleIds** (array[integer(int64)])

- **ruleIds** (array[integer(int64)])

- **autoUpdate** (boolean)

- **requester** (string)

- **requesterCompanyName** (string)

- **name** (string)

- **description** (string)

- **aiTenantId** (string)



## Responses
### 200
OK


[Powered by Bump.sh](https://bump.sh)
